Bug 822468 (CVE-2012-2370)

Summary: CVE-2012-2370 gdk-pixbuf: DoS (GLib error and application abort) due to an integer overflow in the XBM image file format loader
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bruno, erik-fedora, mclasen, pvine, rjones, t.sailer
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120325,reported=20120515,source=oss-security,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/gdk-pixbuf=affected,rhel-5/gtk2=affected,rhel-6/gtk2=wontfix,fedora-all/gdk-pixbuf=affected,fedora-all/gdk-pixbuf2=affected,fedora-all/mingw32-gdk-pixbuf=affected,fedora-all/gtk2=notaffected,cwe=CWE-190[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-21 19:20:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 822469, 822470, 822471, 846252, 990402    
Bug Blocks: 816611, 822487    

Description Jan Lieskovsky 2012-05-17 08:58:02 EDT
An integer overflow flaw was found in the way X BitMap (XBM) image file format loader of gdk-pixbuf, an image loading library used with GNOME, used to read bitmap file data for certain images. A remote attacker could provide a specially-crafted XBM image file, which once loaded in an application linked against gdk-pixbuf, would lead to that application termination (GLib error and application abort).
 
Upstream bug report:
[1] https://bugzilla.gnome.org/show_bug.cgi?id=672811

Relevant patch:
[2] http://git.gnome.org/browse/gdk-pixbuf/commit/?id=4f0f465f991cd454d03189497f923eb40c170c22

CVE request:
[3] http://www.openwall.com/lists/oss-security/2012/05/15/8

References:
[4] https://bugs.gentoo.org/show_bug.cgi?id=412033
[5] https://bugs.launchpad.net/ubuntu/+source/gdk-pixbuf/+bug/681150
[6] https://bugzilla.novell.com/show_bug.cgi?id=762735
Comment 1 Jan Lieskovsky 2012-05-17 09:02:02 EDT
This issue affects the versions of the gdk-pixbuf package, as shipped with Red Hat Enterprise Linux 5.

--

This issue affects the versions of the gtk2 package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the gdk-pixbuf package, as shipped with Fedora release of 15 and 16. Please schedule an update.

This issue affects the versions of the gdk-pixbuf2 package, as shipped with Fedora release of 15 and 16. Please schedule an update.

This issue affects the versions of the mingw32-gdk-pixbuf package, as shipped with Fedora release of 15 and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-05-17 09:03:32 EDT
Created gdk-pixbuf2 tracking bugs for this issue

Affects: fedora-all [bug 822470]
Comment 3 Jan Lieskovsky 2012-05-17 09:03:36 EDT
Created gdk-pixbuf tracking bugs for this issue

Affects: fedora-all [bug 822469]
Comment 4 Jan Lieskovsky 2012-05-17 09:03:41 EDT
Created mingw32-gdk-pixbuf tracking bugs for this issue

Affects: fedora-all [bug 822471]
Comment 10 errata-xmlrpc 2013-01-08 00:12:07 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0135 https://rhn.redhat.com/errata/RHSA-2013-0135.html
Comment 13 Vincent Danen 2015-08-21 19:20:33 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.